// Overflow Sluice

union {
// Mill-side Sluice Risers
  box {
    <17.3, 60.0, 120.5>,
    <17.5, 72.5, 122.0>
  }
  box {
    <20.0, 60.0, 120.5>,
    <20.2, 72.5, 122.0>
  }

// Valley-side Sluice Risers
  box {
    <17.3, 60.0, 143.0>,
    <17.5, 72.5, 144.5>
  }
  box {
    <20.0, 60.0, 143.0>,
    <20.2, 72.5, 144.5>
  }

// Sluice Platform
  difference {
    box {
      <17.5, 72.0, 120.5>,
      <20.0, 72.5, 144.5>
    }
    box {
      <18.35, 71, 132.35>,
      <19.15, 73, 132.75>
    }
  }

  pigment {
    colour rgb 0.2
  }
}

/////////////////////////////////////////////

// Sluice Gate
box {
  <18.5, 55, 122>, 
  <19.0, 63, 143>
  pigment {
    colour rgb 0.3
  }
}

/////////////////////////////////////////////

// Ratchet Mount

union {
  box {
    <18.05, 72.5, 132.40>,
    <18.35, 74.0, 133.25>
  }
  box {
    <18.35, 72.5, 132.75>,
    <19.15, 74.0, 133.25>
  }
  box {
    <19.15, 72.5, 132.40>,
    <19.45, 74.0, 133.25>
  }
  pigment { colour rgb 0.5 }
}

/////////////////////////////////////////////

// Cog Mount

// Left

union {
  box {
    <17.9, 72.5, 131.25>,
    <18.4, 73.5, 132.25>
  }
  cylinder {
    <17.9, 73.5, 131.75>,
    <18.4, 73.5, 131.75>, 0.5
  }
  pigment { colour rgb 0.7 }
}

// Right

union {
  box {
    <19.1, 72.5, 131.25>,
    <19.6, 73.5, 132.25>
  }
  cylinder {
    <19.1, 73.5, 131.75>,
    <19.6, 73.5, 131.75>, 0.5
  }
  pigment { colour rgb 0.7 }
}

/////////////////////////////////////////////

// Cog *** SEE COG.INC FOR DECLARATION ***
object {
  Cog
  rotate 90*z
  rotate 90*x
  translate <19.05, 73.5, 131.75>
}

/////////////////////////////////////////////

// Axle

cylinder {
  <17.50, 73.5, 131.75>,
  <19.62, 73.5, 131.75>, 0.1
  pigment { colour rgb 0.3 }
}

/////////////////////////////////////////////

// Winding Handle

union {
  box {
    <17.55, -0.25, -4.9>,
    <17.75,  0.25,  0.4>
    pigment { colour rgb 0.3 }
  }
  cylinder {
    <17.00, 0, -4.5>,
    <17.85, 0, -4.5>, 0.1
    pigment { colour rgb 0.4 }
  }
  sphere {
    <0, 0, 0>, 1
    scale <1.75, 0.25, 0.25>
    pigment { colour rgb <1, 0.8, 0.6> }
    translate <15.7, 0, -4.5>
  }
  rotate (20/21)*360*x
  translate 73.5*y
  translate 131.75*z
}





