// The Axle
box {
  <-5.0, 15, 45>,
  <32.7, 20, 50>
  texture {
  	black_iron()
  }
}

/////////////////////////////////////////////

// Ball Bearing Declaration
#declare BB =
sphere {
  0, 0.5
  translate 4.25*z
  pigment { colour rgb 0.8 }
  finish { reflection 0.7 }
}

// Ball Bearings

#declare Ctr = 0;

#declare BB_1 =
union {

	#while (Ctr < 24)
  	object { BB rotate ((Ctr*15)+5)*x }

		
		#declare Ctr = Ctr + 1;
	#end
}

object {
  BB_1
  translate <28.75, 17.5, 47.5>
}
object {
  BB_1
  translate <31.25, 17.5, 47.5>
}

/////////////////////////////////////////////
/////////////////////////////////////////////

// The Bearing Hull

difference {
	union {
	  box {
    	<27.5, 10.0, 38>,
    	<32.5, 17.4, 57>
  	}
  	box {
    	<27.5, 17.6, 38>,
    	<32.5, 25.0, 57>
  	}
  }
  cylinder{
    <27, 17.5, 47.5>,
    <33, 17.5, 47.5>, 4.5
  }
  torus {
    4.25, 0.5
    rotate 90*z
    translate <28.75, 17.5, 47.5>
  }
  torus {
    4.25, 0.5
    rotate 90*z
    translate <31.25, 17.5, 47.5>
  }
  texture {
  	black_iron()
  }
}

/////////////////////////////////////////////
/////////////////////////////////////////////

// Declaration for the Axle Bearing

#declare AB =
difference {
  cylinder {
    <27.5, 17.5, 47.5>,
    <32.5, 17.5, 47.5>, 4.0
  }
  box {
    <27.0, 15, 45>,
    <32.7, 20, 50>
  }
  box {
    <27.0, 10, 47.4>,
    <27.6, 22, 47.6>
  }
  box {
    <32.4, 10, 47.4>,
    <33.0, 22, 47.6>
  }
}

union {
  object { AB }
  cylinder {
    <27.6, 13.5, 47.4>,
    <27.6, 21.5, 47.4>, 0.1
  }
  cylinder {
    <27.6, 13.5, 47.6>,
    <27.6, 21.5, 47.6>, 0.1
  }
  cylinder {
    <32.4, 13.5, 47.4>,
    <32.4, 21.5, 47.4>, 0.1
  }
  cylinder {
    <32.4, 13.5, 47.6>,
    <32.4, 21.5, 47.6>, 0.1
  }
  texture {
  	black_iron()
  }
}
