// Declarations for Float Holder

#declare Holder_a =
union {
  cylinder {
    <0, 0.2, 32.6>,
    <0, 2.1, 32.6>, 0.2
  }
  cylinder {
    <0, 0.1, 33.4>,
    <0, 0.8, 33.4>, 0.2
  }
}


/////////////////////////////////////////////
/////////////////////////////////////////////

// Declarations for Paddle Holder

#declare Holder_b =
union {
  cylinder {
    <0, -2.2, -0.4>,
    <0, -1.5, -0.4>, 0.2
  }
  cylinder {
    <0, -1.7, 0.4>,
    <0, -0.2, 0.4>, 0.2
  }       
  rotate -30*x
  translate 33.1*z
  rotate 0.5*x
}


/////////////////////////////////////////////
/////////////////////////////////////////////

// Declaration for Float Board
         
#declare Board_a =
intersection {
  box {
    < 6, 0, 32.8>,
    <21, 3, 33.2>
  }
  plane {
    y, 0
    rotate -5*x
  }
}

/////////////////////////////////////////////
/////////////////////////////////////////////

// Declaration for Float Board
         
#declare Board_b =
intersection {
  box {
    < 6, -2.3, -0.2>,
    <21,  0,  0.2>
    rotate -30*x
  }
  plane {
    -z, 0
  }
  translate 33.1*z
  rotate 0.5*x
}

/////////////////////////////////////////////

#declare Ctr = 0;

#while (Ctr<72)

  union {
    object { Holder_a }
    object { Holder_b }
    rotate 5*Ctr*x
    translate 6*x
    translate 17.5*y
    translate 47.5*z
    pigment { colour rgb 0.5 }
  }
  union {
    object { Holder_a }
    object { Holder_b }
    rotate 5*Ctr*x
    translate 21*x
    translate 17.5*y
    translate 47.5*z
    pigment { colour rgb 0.5 }
  }
  
  union {
    object { Board_a
      texture {
        wood2()
        rotate 90*y
        rotate 4*(rand(seed1) - 0.5)*z
        translate ((rand(seed1)*40)-11)*y
        translate 30*z
        translate rand(seed1)*30*z
      }
    }
    object { Board_b
      texture {
        wood2()
        rotate 90*y
        rotate 4*(rand(seed1) - 0.5)*z
        translate ((rand(seed1)*50)-16)*y
        translate rand(seed1)*30*z
      }
    }
    rotate 5*Ctr*x
    translate 17.5*y
    translate 47.5*z
  }    
  
  
	
  #declare Ctr = Ctr + 1;
  
#end

