// Bow #1 & 2 (Upper Rib Supports)

#declare deg1 = radians(22.5);
#declare adj1 = 1.6/tan(deg1);
#declare adj2 = 0.9/tan(deg1);
#declare adj3 = adj1/cos(2*deg1);

// Initial Shape of Bow
#declare Bow_v1_a =
difference {
  box {
    <1, 0, 0>,
    <3, 3, adj1>
  }
  cylinder {
    <0, 1.6, adj1>,
    <4, 1.6, adj1>, 1.5
  }
  cylinder {
    <2.9, 1.6, adj1>,
    <4.1, 1.6, adj1>, 1.6
  }
}
// Declaration for Plate Collar
#declare Collar_vb =
difference {
  cylinder {
    <1.0, 0, 0>,
    <1.3, 0, 0>, 1.5
  }
  cylinder {
    <0.9, 0, 0>,
    <1.4, 0, 0>, 1.2
  }
  torus {
    1.2, 0.3
    rotate 90*z
    translate 1.3*x
  } 
}  


// Add Smooth Edge (Torus) and Collar (above)
// Remove Artifacts (Due to using Box object)
#declare Bow_v1_b =
difference {
  union {
    object { Bow_v1_a }
    torus {
      1.6, 0.1
      rotate 90*z
      translate <2.9, 1.6, adj1>
    }
    object {
      Collar_vb
      translate <0, 1.6, adj1>
    }  
  }
  plane {
    -y, 0
    rotate 90*x
    translate adj1*z
  }
  plane {
    -y, 0
    rotate -45*x
  }
  plane {
    -y, 0
    rotate 45*x
    translate adj3*z
  } 

  translate <0, 0.9, adj2>
}

// Remove Central Axle
#declare Bow_v1 =
difference {
  object {
    Bow_v1_b
  }
  box {
    <-1, -2.5, -2.5>,
    < 4,  2.5,  2.5>
  }
}

#declare Bow_v2 =
difference {
  object {
    Bow_v1_b
    rotate 45*x
  }
  box {
    <-1, -2.5, -2.5>,
    < 4,  2.5,  2.5>
  }
}

/////////////////////////////////////////////
/////////////////////////////////////////////

// Bow #3 & 4 (Plate Supports)

#declare adj4 = 2.1/tan(deg1);
#declare adj5 = 2.9/tan(deg1);
#declare adj6 = adj4/cos(2*deg1);

// Initial Shape of Bow
#declare Bow_v3_a =
difference {
  box {
    <0, 0, 0>,
    <1, 4, adj4>
  }
  cylinder {
    <-0.1, 2.1, adj4>,
    < 1.1, 2.1, adj4>, 2.0
  }
  cylinder {
    <-0.1, 2.1, adj4>,
    < 0.1, 2.1, adj4>, 2.1
  }
  cylinder {
    <0.9, 2.1, adj4>,
    <1.1, 2.1, adj4>, 2.1
  }
}

// Add Smooth Edges (Torus)
// Remove Artifacts (Due to using Box object)
#declare Bow_v3_b =
difference {
  union {
    object { Bow_v3_a }
    torus {
      2.1, 0.1
      rotate 90*z
      translate <0.1, 2.1, adj4>
    }
    torus {
      2.1, 0.1
      rotate 90*z
      translate <0.9, 2.1, adj4>
    }
  }
  plane {
    -y, 0
    rotate 90*x
    translate adj4*z
  }
  plane {
    -y, 0
    rotate -45*x
  }
  plane {
    -y, 0
    rotate 45*x
    translate adj6*z
  } 

  translate <0, 2.9, adj5>
}

#declare Bow_v3 =
object {
  Bow_v3_b
}

#declare Bow_v4 =
object {
  Bow_v3_b
  rotate 45*x
}

















