// Declare Wheel Support Types

// Rib #1

#declare Rib_v1_a =
union {
  box {
    <0, 0.1,  0>,
    <1, 2.9, 37>
  }
  box {
    <0.1, 2.9,  0>,
    <0.9 , 3.0, 37>
  }
  box {
    <0.1, 0,  0>,
    <2.9, 1, 37>
  }
  box {
    <2.9, 0.1,  0>,
    <3.0, 0.9, 37>
  }

  cylinder {
    <0.1, 0.1,  0>,
    <0.1, 0.1, 37>, 0.1
  }
  cylinder {
    <0.1, 2.9,  0>,
    <0.1, 2.9, 37>, 0.1
  }
  cylinder {
    <0.9, 2.9,  0>,
    <0.9, 2.9, 37>, 0.1
  }
  cylinder {
    <2.9, 0.9,  0>,
    <2.9, 0.9, 37>, 0.1
  }
  cylinder {
    <2.9, 0.1,  0>,
    <2.9, 0.1, 37>, 0.1
  }

  difference {
    box {
      <1.0, 1.0,  0>,
      <1.3, 1.3, 37>
    }
    cylinder {
      <1.3, 1.3, -1>,
      <1.3, 1.3, 38>, 0.3
    }
  }
}
         
/////////////////////////////////////////////
/////////////////////////////////////////////

// Rib #2
                    
#declare Rib_v2_a =
union {
  box {
    <0, -0.1,  0>,
    <1, -2.9, 37>
  }
  box {
    <0.1, -2.9,  0>,
    <0.9, -3.0, 37>
  }
  box {
    <0.1, 0,  0>,
    <2.9, -1, 37>
  }
  box {
    <2.9, -0.1,  0>,
    <3.0, -0.9, 37>
  }

  cylinder {
    <0.1, -0.1,  0>,
    <0.1, -0.1, 37>, 0.1
  }
  cylinder {
    <0.1, -2.9,  0>,
    <0.1, -2.9, 37>, 0.1
  }
  cylinder {
    <0.9, -2.9,  0>,
    <0.9, -2.9, 37>, 0.1
  }
  cylinder {
    <2.9, -0.9,  0>,
    <2.9, -0.9, 37>, 0.1
  }
  cylinder {
    <2.9, -0.1,  0>,
    <2.9, -0.1, 37>, 0.1
  }

  difference {
    box {
      <1.0, -1.0,  0>,
      <1.3, -1.3, 37>
    }
    cylinder {
      <1.3, -1.3, -1>,
      <1.3, -1.3, 38>, 0.3
    }
  }

  text {
    ttf "courbd.ttf" "N. Briggs & Co, 2002" 0.05, 0
    bounded_by {
      box {
        < 0, -0.6, 0.0>,
        <12,  0.8, 0.6>
      }
    }
    scale 1.5
    rotate -90*y
    translate <1.5, 1.8, -28>
    rotate 135*x
  }
}
         
/////////////////////////////////////////////
/////////////////////////////////////////////

#declare Rib_v1 =
difference {
  intersection {
    object { Rib_v1_a }
    cylinder {
      <-1, 0, 0>,
      < 4, 0, 0>, 34.9
    }
  }
  plane {
    -y, 0
    rotate -22.5*x
  }
  box {
    <-1, -2.5, -2.5>,
    < 4,  2.5,  2.5>
  }
}

/////////////////////////////////////////////

#declare Rib_v2 =
difference {
  difference {
    intersection {
      object { Rib_v2_a }
      cylinder {
        <-1, 0, 0>,
        < 4, 0, 0>, 34.9
      }
    }
    plane {
      y, 0
      rotate 22.5*x
    }
    rotate -45*x
  }
  box {
    <-1, -2.5, -2.5>,
    < 4,  2.5,  2.5>
  }
}

/////////////////////////////////////////////

#declare Rib_v3 =
difference {
  intersection {
    object { Rib_v2_a }
    cylinder {
      <-1, 0, 0>,
      < 4, 0, 0>, 34.9
    }
  }
  plane {
    y, 0
    rotate 22.5*x
  }
  box {
    <-1, -2.5, -2.5>,
    < 4,  2.5,  2.5>
  }
}

/////////////////////////////////////////////

#declare Rib_v4 =
difference {
  difference {
    intersection {
      object { Rib_v1_a }
      cylinder {
        <-1, 0, 0>,
        < 4, 0, 0>, 34.9
      }
    }
    plane {
      -y, 0
      rotate -22.5*x
    }
    rotate 45*x
  }
  box {
    <-1, -2.5, -2.5>,
    < 4,  2.5,  2.5>
  }
}


/////////////////////////////////////////////
/////////////////////////////////////////////

