// Basic Shape of Rim
#declare Rim_v_a =
difference {
  union {
    cylinder {
      <0.0, 0, 0>,
      <1.0, 0, 0>, 34.9
    }
    cylinder {
      <0.1, 0, 0>,
      <2.9, 0, 0>, 35.0
    }
    cylinder {
      <2.9, 0, 0>,
      <3.0, 0, 0>, 34.9
    }
  }
  cylinder {
    < -1, 0, 0>,
    <0.1, 0, 0>, 30.1
  }
  cylinder {
    <-1, 0, 0>,
    < 4, 0, 0>, 30.0
  }
  cylinder {
    <0.9, 0, 0>,
    <1.1, 0, 0>, 30.1
  }
  cylinder {
    <1.0, 0, 0>,
    <3.1, 0, 0>, 33.0
  }
  cylinder {
    <2.9, 0, 0>,
    <3.2, 0, 0>, 33.1
  }
}

/////////////////////////////////////////////

// Declare Inside Curve (Where Rim joins plate)

#declare In_Curve_v =
difference {
  cylinder {
    <0.0, 0.0, 0.0>,
    <0.3, 0.0, 0.0>, 33.0
  }
  cylinder {
    <-1, 0.0, 0.0>,
    < 1, 0.0, 0.0>, 32.7
  }
  torus {
    32.7, 0.3
    rotate 90*z
    translate 0.3*x
  }
  translate x
}

/////////////////////////////////////////////

// Declare End Curves

#declare End_Curve_v1 =
union {
  cylinder {
    <0.1, 0.1, 34.9>,
    <2.9, 0.1, 34.9>, 0.1
  }
  sphere {
    <0.1, 0.1, 34.9>, 0.1
  }
  sphere {
    <2.9, 0.1, 34.9>, 0.1
  }
}

#declare End_Curve_v2 =
union {
  cylinder {
    <0.1, -0.1, 34.9>,
    <2.9, -0.1, 34.9>, 0.1
  }
  sphere {
    <0.1, -0.1, 34.9>, 0.1
  }
  sphere {
    <2.9, -0.1, 34.9>, 0.1
  }
  rotate 45*x
}

/////////////////////////////////////////////

// Add it all together...

#declare Rim_v1a =
difference {
  union {
    object { Rim_v_a }
    object { In_Curve_v }
    torus {   
      30.1, 0.1
      rotate 90*z
      translate 0.1*x
    }
    torus {
      30.1, 0.1
      rotate 90*z
      translate 0.9*x
    }
    torus {
      33.1, 0.1
      rotate 90*z
      translate 2.9*x
    }
    torus {
      34.9, 0.1
      rotate 90*z
      translate 0.1*x
    }
    torus {
      34.9, 0.1
      rotate 90*z
      translate 2.9*x
    }
  }
  plane {
    y, 0.1
  }
  plane {
    -y, 0.1
    rotate -45*x
  }
}


#declare Rim_v1 =
union {
  object { Rim_v1a }
  object { End_Curve_v1 }
  object { End_Curve_v2 }
}


#declare Rim_v2 =
object {
  Rim_v1
  rotate 45*x
}